Subject: Re: [Seamoby] Candidate for New WG Draft

From: Rajeev Koodli <[email-masked]>
Date: Fri, 27 Jun 2003 10:51:51 -0700

Hello Jukka,

there was a draft on AAA state relocation.

draft-forsberg-seamoby-aaa-relocate-00.txt

Let me know if you are interested but cannot find it.

Regards,

-Rajeev

Jukka MJ Manner wrote:

> Hi,
>
> I have tried for the last years to figure out how
> seamless/smooth/fast/[your favorite term here] handovers with QoS support
> can in real life be accomplished. I personally have come to the conclusion
> that although QoS and mobility management mechanisms seem to be somewhat
> in order, a CT framework would be the "final blow" in the whole system.
> More specifically, being able to do CT for IPSec and AAA is THE key, well,
> to me at least.
>
> Thus, I would like to see a WG guide on how you do IPSec and AAA CT, and
> how you couple that with the applications using the security mechanisms,
> for example, RSVP and a given mobility management mechanism.
>
> To go to the point, finaly, I would like the see the mentioned Seamoby
> "user guide" for CT, but it should also include the mentioned two
> additional use cases. I know that Seamoby is trying to close the work, but
> I think it might still be a good idea to try to write such an
> informational document.
>
> My 2 cents,
> Jukka
>
> On Thu, 26 Jun 2003, James Kempf wrote:
>
> > Jukka
> >
> > > I haven't reviewed the draft yet, but it might be a good idea to have in
> > > Seamoby something like the DCCP User Guide draft. Something that tells
> > > more than RFC3374.
> >
> > I took a very quick look at draft-ietf-dccp-user-guide-00.txt and I could
> > see some benefit in a similar document for CTP, though, since the intent is
> > to take CTP to experimental (unlike DCCP) I don't think such a document is
> > needed right now. Remember, the intent of the header compression CT draft is
> > to provide a concrete example of real value that would come out of CT, since
> > some people (and in particular some IESG members and some members of the
> > Seamoby CT review board) are skeptical. A User's Guide assumes that people
> > already see the value of the protocol, and is primarily about how to use it.
> >
> > What do other people think?
> >
> > >Still, the document should talk about more than one use
> > > case, though.
> > >
> >
> > I'm not quite sure I understand. Are you proposing that specifications for
> > multiple different kinds of contexts should be included into one draft? If
> > yes, this sounds a bit impractical to me. If I am, say, interested in
> > implementing context transfer for header compression, why should I have to
> > wade through a document that describes context transfer for AAA, and IPsec,
> > and... Small, focussed specifications tend to do better in IETF, and they
> > are also easier to review and achieve concensus on approval. Although we
> > want the header compression CT document as a concrete example, it will also
> > serve as the (experimental) reference specification for implementing a
> > header compression context and will be used for that purpose.
> >
> >             jak
> >
> >
>
> _______________________________________________
> Seamoby mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/seamoby

_______________________________________________
Seamoby mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/seamoby

---

From: "James Kempf" <[email-masked]>
Date: Fri, 27 Jun 2003 08:41:57 -0700

Jukka,

Pat and I really want to get the current set of work items completed and
shut the WG down. Seamoby has been running now for 3 years (if you count the
time from the initial BOF) and has accomplished very little. The IESG is not
happy with this, and we are getting pressure to close quickly. If we do not
finish with our current set of topics soon, the IESG may decide to close
Seamoby down anyway without having completed the remaning topics.

Given that, I can't see expanding the charter at this point to take on a
whole new area of doing complete specification for all contexts needed to do
seamless handover. Some of these topics are very controversial (security and
QoS context transfer, for example). We could easy spend another 3 years
arguing about them, and arguing with others in IETF and the IESG who don't
believe context transfer should be used for these purposes.

I agree that there are lots of interesting and important research topics
that need to be tied down before seamless mobility can really be done
interoperabily. After Seamoby has completed its charter items, we can hold
another BOF and recharter, or talk to Vern and the IESG about starting an
IRTF group to look into the problem. But we really need to finish the
charter within six months, or risk losing any of the work that's been
completed already.

What do other people think about this?

            jak